unit AktAusgFktZuweisen;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls, 
  Buttons, ExtCtrls, NeuronaleNetze, Dialogs, Neuronen;
//    Messages, Dialogs

type
  TOKBottomDlg = class(TForm)
    SchliessenBut: TButton;
    Bevel1: TBevel;
    Aktgroup: TRadioGroup;
    AktZuweisen: TButton;
    Bevel2: TBevel;
    AusgZuweisen: TButton;
    Ausggroup: TRadioGroup;
    Label3: TLabel;
    Label4: TLabel;
    Bevel3: TBevel;
    Label5: TLabel;
    SchwellwertZuweisen: TButton;
    Schwellwert: TEdit;
    Neuronenliste: TListBox;
    Label8: TLabel;
    AlleAuswaehlenButton: TButton;
    AuswahlInvertierenButton: TButton;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    GroupBox2: TGroupBox;
    Ebene: TEdit;
    EbeneZuweisen: TButton;
    procedure SchliessenButClick(Sender: TObject);
    procedure AktZuweisenClick(Sender: TObject);
    procedure AusgZuweisenClick(Sender: TObject);
    procedure SchwellwertZuweisenClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure AlleAuswaehlenButtonClick(Sender: TObject);
    procedure AuswahlInvertierenButtonClick(Sender: TObject);
    procedure EbeneZuweisenClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  OKBottomDlg: TOKBottomDlg;

implementation

uses Meldungsfenster;

{$R *.dfm}

procedure TOKBottomDlg.SchliessenButClick(Sender: TObject);
begin
close;
end;

procedure TOKBottomDlg.AktZuweisenClick(Sender: TObject);
var i: Integer; zwN: Neuron;
begin
  for i:=0 to Neuronenliste.Count-1 do
  if Neuronenliste.Selected[i] then
  begin
    zwN:=Neuron(Neuronenliste.Items.Objects[i]);
    zwN.setAktFkt(AktGroup.ItemIndex);
  end;
end;

procedure TOKBottomDlg.AusgZuweisenClick(Sender: TObject);
var i: Integer; zwN: Neuron;
begin
  for i:=0 to Neuronenliste.Count-1 do
  if Neuronenliste.Selected[i] then
  begin
    zwN:=Neuron(Neuronenliste.Items.Objects[i]);
    zwN.setAusgFkt(AusgGroup.ItemIndex);
  end;
end;

procedure TOKBottomDlg.SchwellwertZuweisenClick(Sender: TObject);
var i: Integer; zwN: Neuron;
begin
  for i:=0 to Neuronenliste.Count-1 do
  if Neuronenliste.Selected[i] then
  begin
    zwN:=Neuron(Neuronenliste.Items.Objects[i]);
    zwN.setSchwellwert(StrToFloat(Schwellwert.Text));
  end;
end;

procedure TOKBottomDlg.FormActivate(Sender: TObject);
var i:Integer;
begin
// Alle Neuronen in die Liste:
Neuronenliste.Items.Clear;{erstmal leeren}
for i:=0 to myNeuronalesNetz.getlengthNeuronenArray-1 do
  Neuronenliste.Items.AddObject('Neuron Nr. '+InttoStr(myNeuronalesNetz.getNeuronFromNeuronenarray(i).getKennung), myNeuronalesNetz.getNeuronFromNeuronenarray(i));
end;

procedure TOKBottomDlg.AlleAuswaehlenButtonClick(Sender: TObject);
begin
Neuronenliste.SelectAll;
end;

procedure TOKBottomDlg.AuswahlInvertierenButtonClick(Sender: TObject);
var i : Integer;
begin
for i:=0 to Neuronenliste.Count-1 do
  Neuronenliste.Selected[i] := not Neuronenliste.Selected[i];
end;

procedure TOKBottomDlg.EbeneZuweisenClick(Sender: TObject);
var i: Integer; zwN: Neuron;
begin
  for i:=0 to Neuronenliste.Count-1 do
  if Neuronenliste.Selected[i] then
  begin
    zwN:=Neuron(Neuronenliste.Items.Objects[i]);
    zwN.setEbene(StrToInt(Ebene.Text));
  end;
end;

end.
