unit BackpropagationGUI;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, NeuronaleNetze, DatenquelleGUI, Meldungsfenster;

type
  TBackpropagationForm = class(TForm)
    ModusGroup: TRadioGroup;
    Label1: TLabel;
    Label2: TLabel;
    LernrateEdit: TEdit;
    MomentumwertEdit: TEdit;
    ParameterGroupbox: TGroupBox;
    LerneButton: TButton;
    maximaleEpocheEdit: TEdit;
    minErrorEdit: TEdit;
    Label3: TLabel;
    Label4: TLabel;
    Panel1: TPanel;
    wCB: TCheckBox;
    deltaCB: TCheckBox;
    AnzeigeoptionenGroupBox: TGroupBox;
    sCB: TCheckBox;
    DeltaBarDeltaGroupBox: TGroupBox;
    dbdCB: TCheckBox;
    Kappa: TLabel;
    beta: TLabel;
    xi: TLabel;
    KappaEdit: TEdit;
    betaEdit: TEdit;
    xiEdit: TEdit;
    seCB: TCheckBox;
    esiCB: TCheckBox;
    setCB: TCheckBox;
    procedure LerneButtonClick(Sender: TObject);
    procedure dbdCBClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  BackpropagationForm: TBackpropagationForm;

implementation

{$R *.dfm}



procedure TBackpropagationForm.LerneButtonClick(Sender: TObject);
var v: boolean;
begin
v:=Meldungen.visible;
Meldungen.visible:=false;
DatenquelleForm.parse;
myNeuronalesNetz.Backpropagation(ModusGroup.ItemIndex, StrToFloat(LernrateEdit.Text), StrToFloat(MomentumwertEdit.Text), StrToInt(maximaleEpocheEdit.text), StrToFloat(minErrorEdit.text), deltaCB.checked,wCB.checked,sCB.checked, dbdCB.checked, StrToFloat(KappaEdit.Text), StrToFloat(betaEdit.Text), StrToFloat(xiEdit.Text), seCB.checked, esiCB.checked, setCB.checked);
Meldungen.visible:=v;
end;

procedure TBackpropagationForm.dbdCBClick(Sender: TObject);
begin
seCB.Enabled      :=not seCB.Enabled;
kappaEdit.Enabled :=not kappaEdit.Enabled;
betaEdit.Enabled  :=not betaEdit.Enabled;
xiEdit.Enabled    :=not xiEdit.Enabled;
kappa.Enabled :=not kappa.Enabled;
beta.Enabled  :=not beta.Enabled;
xi.Enabled    :=not xi.Enabled;
end;

end.
