unit DatenquelleGUI;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, StdCtrls, StrUtils, Meldungsfenster, Neuronen;

type
  TDatenquelleForm = class(TForm)
    DatenquelleMemo: TMemo;
    MainMenu1: TMainMenu;
    Laden1: TMenuItem;
    Speichern1: TMenuItem;
    OpenDialogDatenquelle: TOpenDialog;
    SaveDialogDatenquelle: TSaveDialog;
    procedure Laden1Click(Sender: TObject);
    procedure Speichern1Click(Sender: TObject);
//    procedure PerzeptronLernalgorithmus(konstant: boolean; Lernrate: Real; maxEpoche: Integer);
//    procedure AdalineLernalgorithmus(konstant: boolean; Lernrate: Real; maxEpoche: Integer; minError: Real);
  private
    { Private-Deklarationen }
  public
    countIn: Integer;
    countOut: Integer;
    countSets: Integer;
    Daten: Array of Array of Real; // ACH DU SCHANDE! ES IST PUBLIC!
    procedure parse();
//    procedure berechneAusDaten();
    { Public-Deklarationen }
  end;

var
  DatenquelleForm: TDatenquelleForm;

implementation



{$R *.dfm}

procedure TDatenquelleForm.parse();
var von,bis,h,i: Integer; str: string;
begin
  // CountIn, CountOut belegen:
  von:=0;
  countIn:=StrToInt(Copy(DatenquelleMemo.Lines.Strings[0], von+1, PosEx(';',DatenquelleMemo.Lines.Strings[0],von)-1));
  von:=PosEx(';',DatenquelleMemo.Lines.Strings[0],von);
  CountOut:=StrToInt(Copy(DatenquelleMemo.Lines.Strings[0], von+1, PosEx(';',DatenquelleMemo.Lines.Strings[0],von)-1));
//  Showmessage('CountIn: '+IntToStr(countIn)+'; CountOut: '+IntToStr(countOut));
  countSets:=DatenquelleMemo.Lines.Count;
  // Jetzt kann ich das Array initialisieren:
  SetLength(Daten,countSets-1);
  for i:=0 to High(Daten) do
    SetLength(Daten[i], countIn+countOut);
  // Jede Zeile parsen:
  for h:=1 to countSets-1 do
  begin
    // Eine Zeile parsen: (und ins Array an Pos h,i legen)
    von:=1;
    for i:=0 to CountIn+CountOut-1 do
    begin
      bis:=PosEx(';',DatenquelleMemo.Lines.Strings[h], von+1);
      Daten[h-1,i]:=StrToFloat(Copy(DatenquelleMemo.Lines.Strings[h],von,bis-von));
      //Showmessage(Copy(DatenquelleMemo.Lines.Strings[h],von,bis-von));
      von:=bis+1;
    end;
  end;

// Zum Test das Array ins Meldungenfenster ausgeben:
str:='';
for i:=0 to high(daten) do
Meldungen.app(FloatToStr(daten[i,0])+' '+FloatToStr(daten[i,1])+' '+FloatToStr(daten[i,2]));
//berechneAusDaten; Wird nun extra aufgerufen, um universeller zu sein.
end;

procedure TDatenquelleForm.Laden1Click(Sender: TObject);
begin
if OpenDialogDatenquelle.Execute and (OpenDialogDatenquelle.FileName<>'') then
  DatenquelleMemo.Lines.LoadFromFile(OpenDialogDatenquelle.FileName);
end;
procedure TDatenquelleForm.Speichern1Click(Sender: TObject);
begin
if SaveDialogDatenquelle.Execute and (SaveDialogDatenquelle.FileName<>'') then
  DatenquelleMemo.Lines.SaveToFile(SaveDialogDatenquelle.FileName);
end;



end.
