unit KNNGUI;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, NeuronaleNetze, StdCtrls, AdjMatrixGUI, Menus, GraphGUI, Meldungsfenster,
  AktAusgFktZuweisen, NetzverwaltungDialog, DatenquelleGUI, ExtCtrls, BerechnungsreihenfolgeGUI, LerneDLG,
  LerneAdalineDLG, FeedForwardNetzErstellenGUI, BackpropagationGUI, Funktionen, Informationen,
  ActnList, Buttons, AppEvnts;

type
  TKNNMain = class(TForm)
    MainMenu1: TMainMenu;
    N1: TMenuItem;
    test1: TMenuItem;
    Neuron1: TMenuItem;
    NewNeuron1: TMenuItem;
    NewConnection1: TMenuItem;
    DeleteNeuron1: TMenuItem;
    DeleteConnection1: TMenuItem;
    N2: TMenuItem;
    N3: TMenuItem;
    Exit1: TMenuItem;
    Windows1: TMenuItem;
    ShowMatrix1: TMenuItem;
    ZeigeGraph1: TMenuItem;
    Beispiele1: TMenuItem;
    Blatt1Netz: TMenuItem;
    NewNet: TMenuItem;
    N4: TMenuItem;
    SortInLayer: TMenuItem;
    Neuron2: TMenuItem;
    SetzeAttribute: TMenuItem;
    N5: TMenuItem;
    SetzeAusgang1: TMenuItem;
    ZeigeMeldungen1: TMenuItem;
    N7: TMenuItem;
    ZeigeAttributedesNeurons1: TMenuItem;
    N6: TMenuItem;
    Wirdneuerstellt1: TMenuItem;
    BestehendesNetzumwandeln1: TMenuItem;
    Perzeptron1: TMenuItem;
    Adaline1: TMenuItem;
    N8: TMenuItem;
    ZeigeAlle1: TMenuItem;
    Lernen1: TMenuItem;
    Analysieren1: TMenuItem;
    PerzeptronLernalgorithmus1: TMenuItem;
    Berechne1: TMenuItem;
    SetzeEingnge1: TMenuItem;
    SetzeGewicht1: TMenuItem;
    Einzelaktionen1: TMenuItem;
    Einzelaktionen2: TMenuItem;
    Netzverwaltung1: TMenuItem;
    N9: TMenuItem;
    ZeigeDatenquelle1: TMenuItem;
    BerechneausDatenquelle1: TMenuItem;
    Perzeptron211: TMenuItem;
    N10: TMenuItem;
    LegeBerechnungsreihenfolgefest1: TMenuItem;
    AdalineLernalgorithmus1: TMenuItem;
    BerechnungsreihenfolgewieBFS1: TMenuItem;
    ErzeugeFeedForwardNetz1: TMenuItem;
    VollvernetztesFeedForwardNetz23311: TMenuItem;
    N11: TMenuItem;
    Backpropagation1: TMenuItem;
    ZeigeGewichtvonzu1: TMenuItem;
    ResetProgramm1: TMenuItem;
    myApplicationEvents: TApplicationEvents;
    procedure test1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure Blatt1NetzClick(Sender: TObject);
    procedure ShowMatrix1Click(Sender: TObject);
    procedure ZeigeGraph1Click(Sender: TObject);
    procedure NewNeuron1Click(Sender: TObject);
    procedure NewNetClick(Sender: TObject);
    procedure SortInLayerClick(Sender: TObject);
    procedure NewConnection1Click(Sender: TObject);
    procedure DeleteNeuron1Click(Sender: TObject);
    procedure DeleteConnection1Click(Sender: TObject);
    procedure ZeigeMeldungen1Click(Sender: TObject);
    procedure SetzeAttributeClick(Sender: TObject);
    procedure ZeigeAttributedesNeurons1Click(Sender: TObject);
    procedure ZeigeAlle1Click(Sender: TObject);
    procedure Perzeptron1Click(Sender: TObject);
    procedure SetzeAusgang1Click(Sender: TObject);
    procedure SetzeEingnge1Click(Sender: TObject);
    procedure Berechne1Click(Sender: TObject);
    procedure SetzeGewicht1Click(Sender: TObject);
    procedure Netzverwaltung1Click(Sender: TObject);
    procedure ZeigeDatenquelle1Click(Sender: TObject);
    procedure BerechneausDatenquelle1Click(Sender: TObject);
    procedure Perzeptron211Click(Sender: TObject);
    procedure LegeBerechnungsreihenfolgefest1Click(Sender: TObject);
    procedure PerzeptronLernalgorithmus1Click(Sender: TObject);
    procedure AdalineLernalgorithmus1Click(Sender: TObject);
    procedure BerechnungsreihenfolgewieBFS1Click(Sender: TObject);
    procedure ErzeugeFeedForwardNetz1Click(Sender: TObject);
    procedure VollvernetztesFeedForwardNetz23311Click(Sender: TObject);
    procedure Backpropagation1Click(Sender: TObject);
    procedure ZeigeGewichtvonzu1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure ResetProgramm1Click(Sender: TObject);
    procedure myApplicationEventsException(Sender: TObject; E: Exception);
  private
    { Private-Deklarationen }
  public
//    myNeuronalesNetz: NeuronalesNetz;
    { Public-Deklarationen }
  end;

var
  KNNMain: TKNNMain;

implementation

{$R *.dfm}


procedure TKNNMain.test1Click(Sender: TObject);
begin
Application.CreateForm(TInformationForm,InformationForm);
InformationForm.Visible:=true;
end;

procedure TKNNMain.Exit1Click(Sender: TObject);
begin
//Zeigt ein Info-Fenster an
    {Parameter: angezeigter Text, Dialogart (Symbol, Titel):
      mtInformation: blaues i (Information)
      mtConfirmation: blaues Fragezeichen (Besttigung)
      mtWarning: gelbes Dreieck mit Ausrufezeichen (Warnung)
      mtError: roter Kreis mit weiem X (Fehler)
    in eckigen Klammern die verfgbaren Buttons: mbOk, mbCancel, mbYes, mbNo usw.
    der letzte Parameter steht fr die Hilfe-ID, bei Verwendung von mbHelp
    }

  //Abfrage des Rckgabewertes
  if MessageDlg('Wirklich schlieen?', mtConfirmation, [mbYes,mbNo], 0)=mrYes then
  close;



end;

procedure TKNNMain.Blatt1NetzClick(
  Sender: TObject);
begin
//  myNeuronalesNetz:=NeuronalesNetz.create();
//myNeuronalesNetz.create();                 WARUM MACHT DAS FEHLER?
  myNeuronalesNetz:=NeuronalesNetz.create();

// 6 Eingabeneuronen
  myNeuronalesNetz.makeNeuron(myNeuronalesNetz.getStartNeuron, 0, 0);                    // Kennung 1
  myNeuronalesNetz.makeNeuron(myNeuronalesNetz.getStartNeuron, 0, 0);                    // Kennung 2
  myNeuronalesNetz.makeNeuron(myNeuronalesNetz.getStartNeuron, 0, 0);                    // Kennung 3
  myNeuronalesNetz.makeNeuron(myNeuronalesNetz.getStartNeuron, 0, 0);                    // Kennung 4
  myNeuronalesNetz.makeNeuron(myNeuronalesNetz.getStartNeuron, 0, 0);                    // Kennung 5
  myNeuronalesNetz.makeNeuron(myNeuronalesNetz.getStartNeuron, 0, 0);                    // Kennung 6

// 4 NachfolgeNeuronen, welche erstmal an dem ersten Eingabeneuron hngen
  myNeuronalesNetz.makeNeuron(myNeuronalesNetz.getStartNeuron.getNachfolger(0), 0, 1);   // Kennung 7
  myNeuronalesNetz.makeNeuron(myNeuronalesNetz.getStartNeuron.getNachfolger(0), 0, 1);   // Kennung 8
  myNeuronalesNetz.makeNeuron(myNeuronalesNetz.getStartNeuron.getNachfolger(0), 0, 1);   // Kennung 9
  myNeuronalesNetz.makeNeuron(myNeuronalesNetz.getStartNeuron.getNachfolger(0), 0, 1);   // Kennung 10
// vom zweiten Eingabeneuron zu allen 4 NachfolgeNeuronen
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(2),myNeuronalesNetz.getNeuronOfKennung(7),1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(2),myNeuronalesNetz.getNeuronOfKennung(8),1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(2),myNeuronalesNetz.getNeuronOfKennung(9),1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(2),myNeuronalesNetz.getNeuronOfKennung(10),1);
// vom dritten Eingabeneuron zu allen 4 NachfolgeNeuronen
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(3),myNeuronalesNetz.getNeuronOfKennung(7),1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(3),myNeuronalesNetz.getNeuronOfKennung(8),1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(3),myNeuronalesNetz.getNeuronOfKennung(9),1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(3),myNeuronalesNetz.getNeuronOfKennung(10),1);
// vom vierten Eingabeneuron zu allen 4 NachfolgeNeuronen
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(4),myNeuronalesNetz.getNeuronOfKennung(7),1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(4),myNeuronalesNetz.getNeuronOfKennung(8),1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(4),myNeuronalesNetz.getNeuronOfKennung(9),1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(4),myNeuronalesNetz.getNeuronOfKennung(10),1);
// vom fnften Eingabeneuron zu allen 4 NachfolgeNeuronen
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(5),myNeuronalesNetz.getNeuronOfKennung(7),1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(5),myNeuronalesNetz.getNeuronOfKennung(8),1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(5),myNeuronalesNetz.getNeuronOfKennung(9),1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(5),myNeuronalesNetz.getNeuronOfKennung(10),1);
// vom sechsten Eingabeneuron zu allen 4 NachfolgeNeuronen
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(6),myNeuronalesNetz.getNeuronOfKennung(7),1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(6),myNeuronalesNetz.getNeuronOfKennung(8),1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(6),myNeuronalesNetz.getNeuronOfKennung(9),1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(6),myNeuronalesNetz.getNeuronOfKennung(10),1);

// 3 Nachfolgeneuronen, welche erstmal am erstenNeuron der vorherigen Schicht hngen
  myNeuronalesNetz.makeNeuron(myNeuronalesNetz.getNeuronOfKennung(7), 0, 1);   // Kennung 11
  myNeuronalesNetz.makeNeuron(myNeuronalesNetz.getNeuronOfKennung(7), 0, 1);   // Kennung 12
  myNeuronalesNetz.makeNeuron(myNeuronalesNetz.getNeuronOfKennung(7), 0, 1);   // Kennung 13
// vom zweiten Neuron auf der vorherigen Schicht zu allen 3 NachfolgeNeuronen
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(8),myNeuronalesNetz.getNeuronOfKennung(11),1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(8),myNeuronalesNetz.getNeuronOfKennung(12),1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(8),myNeuronalesNetz.getNeuronOfKennung(13),1);
// vom dritten Neuron auf der vorherigen Schicht zu allen 3 NachfolgeNeuronen
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(9),myNeuronalesNetz.getNeuronOfKennung(11),1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(9),myNeuronalesNetz.getNeuronOfKennung(12),1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(9),myNeuronalesNetz.getNeuronOfKennung(13),1);
// vom vierten Neuron auf der vorherigen Schicht zu allen 3 NachfolgeNeuronen
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(10),myNeuronalesNetz.getNeuronOfKennung(11),1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(10),myNeuronalesNetz.getNeuronOfKennung(12),1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(10),myNeuronalesNetz.getNeuronOfKennung(13),1);

// 2 Ausgabeneuronen, welche erstmal am erstenNeuron der vorherigen Schicht hngen
  myNeuronalesNetz.makeNeuron(myNeuronalesNetz.getNeuronOfKennung(11), 0, 1);   // Kennung 14
  myNeuronalesNetz.makeNeuron(myNeuronalesNetz.getNeuronOfKennung(11), 0, 1);   // Kennung 15
// Und die letzten Verknpfungen...
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(12),myNeuronalesNetz.getNeuronOfKennung(14),1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(12),myNeuronalesNetz.getNeuronOfKennung(15),1);
// Und die allerletzten Verknpfungen...
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(13),myNeuronalesNetz.getNeuronOfKennung(14),1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(13),myNeuronalesNetz.getNeuronOfKennung(15),1);


myNeuronalesNetz.makeNeuronenArray(true);
//  showmessage(myNeuronalesNetz.getNeuronenArray);
myNeuronalesNetz.makeAM();
Showmessage('Netz entsprechend Theorieblatt 01 erstellt.');
end;

procedure TKNNMain.ShowMatrix1Click(Sender: TObject);
begin
try
  AdjazenzmatrixForm.showMatrix(myNeuronalesNetz);
except
  MessageDlg('Fehler: Es konnte keine Adjazenzmatrix erstellt werden!', mtError, [mbOk], 0);
end;
end;

procedure TKNNMain.ZeigeGraph1Click(Sender: TObject);
begin
GraphForm.malNetz();
end;

procedure TKNNMain.NewNeuron1Click(Sender: TObject);
var r,v: Integer;
begin
try
  r:=StrToInt(inputbox('Eingabe','Von welchem Neuron aus soll die erste Verbindung zu dem zu erzeigenden Neuron ausgehen?',''));
  v:=StrToInt(inputbox('Eingabe','Auf welcher Ebene soll das Neuron liegen?',''));
  myNeuronalesNetz.makeNeuron(myNeuronalesNetz.getNeuronOfKennung(r),v, 1); // Gewicht Initial 1
except
  MessageDlg('Sie sollten eine gltige ganze Zahl eingeben und ausserdem auch schon ein Neuronales Netz erstellt haben!', mtError, [mbOk], 0);
end;

end;

procedure TKNNMain.NewNetClick(Sender: TObject);
begin
  myNeuronalesNetz:=NeuronalesNetz.create();
  Showmessage('Es wurde ein neues Netz erstellt. Das erste Neuron hat die Kennung "-1"!');
end;

procedure TKNNMain.SortInLayerClick(Sender: TObject);
begin
try
myneuronalesnetz.makeneuronenarray(true);
except
  MessageDlg('Sie sollten schon ein Neuronales Netz erstellt haben!', mtError, [mbOk], 0);
end;
end;

procedure TKNNMain.NewConnection1Click(Sender: TObject);
var s,z:integer;
begin
try
  s:=StrToInt(inputbox('Eingabe','Startneuron?',''));
  z:=StrToInt(inputbox('Eingabe','Zielneuron?',''));
  myNeuronalesNetz.makeEdge(myneuronalesnetz.getNeuronOfKennung(s),myneuronalesnetz.getNeuronOfKennung(z),1); //HIERHIERHIERHIEHIERHIERHIERHIRE
except
  MessageDlg('Sie sollten eine gltige ganze Zahl eingeben und ausserdem auch schon ein Neuronales Netz erstellt haben!', mtError, [mbOk], 0);
end;



end;

procedure TKNNMain.DeleteNeuron1Click(Sender: TObject);
var d:integer;
begin
try
  d:=StrToInt(inputbox('Eingabe','Welches Neuron soll gelscht werden?',''));
  myNeuronalesNetz.delNeuron(myNeuronalesNetz.getNeuronOfKennung(d));
except
  MessageDlg('Sie sollten eine gltige ganze Zahl eingeben und ausserdem auch schon ein Neuronales Netz erstellt haben!'+chr(13)+'(Es kann aber auch gut sein, da es gar nicht Ihr Fehler war. Das Lschen ist noch nicht ganz ausgereift.)', mtError, [mbOk], 0);
end;

end;

procedure TKNNMain.DeleteConnection1Click(Sender: TObject);
var s,z:integer;
begin
try
  s:=StrToInt(inputbox('Eingabe','Startneuron?',''));
  z:=StrToInt(inputbox('Eingabe','Zielneuron?',''));
  myNeuronalesNetz.delEdge(myNeuronalesNetz.getNeuronOfKennung(s),myNeuronalesNetz.getNeuronOfKennung(z));
  Meldungen.app('Verbindung gelscht von '+IntToStr(s)+' zu '+IntToStr(z));
except
  MessageDlg('Sie sollten eine gltige ganze Zahl eingeben und ausserdem auch schon ein Neuronales Netz erstellt haben!'+chr(13)+'(Es kann aber auch gut sein, da es gar nicht Ihr Fehler war. Das Lschen ist noch nicht ganz ausgereift.)', mtError, [mbOk], 0);
end;

end;

procedure TKNNMain.ZeigeMeldungen1Click(Sender: TObject);
begin
Meldungen.visible:=true;
end;

procedure TKNNMain.SetzeAttributeClick(Sender: TObject);
begin
  OKBottomDlg.Visible:=true;
end;

procedure TKNNMain.ZeigeAttributedesNeurons1Click(Sender: TObject);
var i,j: integer;
begin
  i:=StrToInt(inputbox('Eingabe','Von welchem Neuron sollen die Attribute im Meldungsfenster angezeigt werden?',''));
  Meldungen.app('Neuron Nr. '+IntToStr(i));
  Meldungen.app('Aktivierungsfunktion '+IntToStr(myNeuronalesNetz.getNeuronOfKennung(i).getAktFkt));
  Meldungen.app('Ausgabefunktion '+IntToStr(myNeuronalesNetz.getNeuronOfKennung(i).getAusgFkt));
  Meldungen.app('Schwellwert '+FloatToStr(myNeuronalesNetz.getNeuronOfKennung(i).getSchwellwert));
  Meldungen.app('Ausgang '+FloatToStr(myNeuronalesNetz.getNeuronOfKennung(i).getAusgang));
  for j:=0 to myNeuronalesNetz.getNeuronOfKennung(i).getLetzterVorgaenger do
    Meldungen.app('Gewicht Nr. '+IntToStr(j)+' hat Wert '+FloatToStr(myNeuronalesNetz.getNeuronOfKennung(i).getVorgaengerGewicht(j)));
end;

procedure TKNNMain.ZeigeAlle1Click(Sender: TObject);
begin
try
//  OKBottomDlg.Visible:=true;
  Meldungen.visible:=true;
//  GraphForm.malNetz();
//  AdjazenzmatrixForm.showMatrix(myNeuronalesNetz);
  DatenquelleForm.visible:=true;
  BackpropagationForm.visible:=true;
  
  except
  MessageDlg('Sie sollten schon ein Neuronales Netz erstellt haben!', mtError, [mbOk], 0);
end;
end;

procedure TKNNMain.Perzeptron1Click(Sender: TObject);
begin
  Meldungen.app('Es wird nun versucht, alle bestehenden Neuronen auf Schicht 1 in Perzeptrons zu verwandeln, also Ausg:ID, Akt:Signum.');
  myNeuronalesNetz.ErstellePerzeptron
end;

procedure TKNNMain.SetzeAusgang1Click(Sender: TObject);
var nr: integer; wert: Real;
begin
try
  nr:=StrToInt(inputbox('Eingabe','Von welchem Neuron soll der Ausgang gesetzt werden?',''));
  wert:=StrToFloat(inputbox('Eingabe','Auf welchen Wert soll der Ausgang gesetzt werden?',''));
  myNeuronalesNetz.getNeuronOfKennung(nr).setAusgang(wert);
except
  MessageDlg('Sie sollten eine gltige ganze Zahl eingeben und ausserdem auch schon ein Neuronales Netz erstellt haben!', mtError, [mbOk], 0);
end;
end;



procedure TKNNMain.SetzeEingnge1Click(Sender: TObject);
var nr: integer; wert: Real;
begin
try
  nr:=StrToInt(inputbox('Eingabe','Von welchem Eingangsneuron soll das Gewicht (und damit der Eingang) gesetzt werden?',''));
  wert:=StrToFloat(inputbox('Eingabe','Auf welchen Wert soll der Eingang gesetzt werden?',''));
  if myNeuronalesNetz.getNeuronOfKennung(nr).getVorgaenger(0)<>myNeuronalesNetz.getStartNeuron then
      Showmessage('Das ist kein Eingabeneuron!')
    else
      myNeuronalesNetz.getNeuronOfKennung(nr).setVorgaengerGewicht(wert,myNeuronalesNetz.getStartneuron);
except
  MessageDlg('Sie sollten eine gltige ganze Zahl eingeben und ausserdem auch schon ein Neuronales Netz erstellt haben!', mtError, [mbOk], 0);
end;
end;

procedure TKNNMain.Berechne1Click(Sender: TObject);
begin
myNeuronalesNetz.Berechne;
end;

procedure TKNNMain.SetzeGewicht1Click(Sender: TObject);
var zuAenderndes, vg: Integer; gewicht: real;
begin
  zuAenderndes:=StrToInt(inputbox('Eingabe','Von welchem Neuron soll das Gewicht gendert werden?',''));
  vg:=StrToInt(inputbox('Eingabe','Zu welchem Vorgnger geht die zu ndernde Verbindung?',''));
  gewicht:=StrToInt(inputbox('Eingabe','Wie gro soll das Gewicht sein?',''));
  myNeuronalesNetz.getNeuronOfKennung(zuAenderndes).setVorgaengerGewicht(gewicht, myNeuronalesNetz.getNeuronOfKennung(vg));
end;

procedure TKNNMain.Netzverwaltung1Click(Sender: TObject);
begin
  NetzverwaltungForm.Visible:=true;
end;

procedure TKNNMain.ZeigeDatenquelle1Click(Sender: TObject);
begin
DatenquelleForm.visible:=true;
end;

procedure TKNNMain.BerechneausDatenquelle1Click(Sender: TObject);
begin
if myNeuronalesNetz.getLengthBerechnungsreihenfolgearray<>0 then
begin
  DatenquelleForm.parse;
  myNeuronalesNetz.berechneAusDaten;
end
  else
  Showmessage('Ich werde versuchen zu berechnen, aber Sie sollten kontrollieren, ob die Berechnungsreihenfolge Ihrem Wunsch entspricht!');
end;

procedure TKNNMain.Perzeptron211Click(Sender: TObject);
begin
  myNeuronalesNetz:=NeuronalesNetz.create();
  myNeuronalesNetz.getStartNeuron;
  myNeuronalesNetz.makeNeuron(myNeuronalesNetz.getStartNeuron,0,1);
  myNeuronalesNetz.makeNeuron(myNeuronalesNetz.getStartNeuron,0,1);
  myNeuronalesNetz.makeNeuron(myNeuronalesNetz.getNeuronOfKennung(1),1,1);
  myNeuronalesNetz.makeEdge(myNeuronalesNetz.getNeuronOfKennung(2),myNeuronalesNetz.getNeuronOfKennung(3),1);
  myNeuronalesNetz.ErstellePerzeptron;
end;

procedure TKNNMain.LegeBerechnungsreihenfolgefest1Click(Sender: TObject);
begin
BerechnungsreihenfolgeForm.visible:=true;
end;

procedure TKNNMain.PerzeptronLernalgorithmus1Click(Sender: TObject);
begin
if myNeuronalesNetz.getLengthBerechnungsreihenfolgearray<>0 then
begin
  LernePerzeptronDLGForm.visible:=true;
end
  else
  Showmessage('Ich werde versuchen zu berechnen, aber Sie sollten kontrollieren, ob die Berechnungsreihenfolge Ihrem Wunsch entspricht!');
end;

procedure TKNNMain.AdalineLernalgorithmus1Click(Sender: TObject);
begin
if myNeuronalesNetz.getLengthBerechnungsreihenfolgearray<>0 then
begin
  LerneAdalineDLGForm.visible:=true;
end
  else
  Showmessage('Ich werde versuchen zu berechnen, aber Sie sollten kontrollieren, ob die Berechnungsreihenfolge Ihrem Wunsch entspricht!');
end;

procedure TKNNMain.BerechnungsreihenfolgewieBFS1Click(Sender: TObject);
begin
myNeuronalesNetz.BerechnungsreihenfolgeWieTim;
end;

procedure TKNNMain.ErzeugeFeedForwardNetz1Click(Sender: TObject);
begin
FFNerstForm.visible:=true;
end;

procedure TKNNMain.VollvernetztesFeedForwardNetz23311Click(
  Sender: TObject);
begin
FFNerstForm.EbenenListBox.Items.AddObject(IntToStr(2),TObject(2));
FFNerstForm.EbenenListBox.Items.AddObject(IntToStr(3),TObject(3));
FFNerstForm.EbenenListBox.Items.AddObject(IntToStr(3),TObject(3));
FFNerstForm.EbenenListBox.Items.AddObject(IntToStr(1),TObject(1));
FFNerstForm.ErstelleDasFFN;
myNeuronalesNetz.BerechnungsreihenfolgeWieTim;
end;

procedure TKNNMain.Backpropagation1Click(Sender: TObject);
begin
BackpropagationForm.visible:=true;
end;

procedure TKNNMain.ZeigeGewichtvonzu1Click(Sender: TObject);
var anfang, ende: Integer;
begin
   anfang:=StrToInt(inputbox('Eingabe','Gewicht anzeigen von Neuron ...',''));
   ende:=StrToInt(inputbox('Eingabe','Gewicht anzeigen von Neuron '+IntToStr(anfang)+' zu Neuron ...',''));
   Meldungen.app('Gewicht von Nr. '+IntToStr(anfang)+' zu Nr. '+IntToStr(ende)+' betrgt '+FloatToStr( myNeuronalesNetz.getNeuronOfKennung(ende).getVorgaengerGewicht(myNeuronalesNetz.getNeuronOfKennung(anfang)) ));

end;

procedure TKNNMain.Button1Click(Sender: TObject);
var i:integer;
begin
myNeuronalesNetz:=NeuronalesNetz.create();
myNeuronalesNetz.setRandomQueue(10);
for i:=1 to 10 do
Showmessage(IntToStr(myNeuronalesNetz.getRandomQueue));

end;

procedure TKNNMain.Button2Click(Sender: TObject);
var q:integer;
    a,b,c:real;
begin
q:= StrToInt(inputbox('Eingabe','Neuron ...',''));
a:=myNeuronalesNetz.getNeuronOfKennung(q).getSumme;
Showmessage(FloatToStr(a));
Showmessage(FloatToSTr(Funktion.aufruf(a,104)));


end;

procedure TKNNMain.ResetProgramm1Click(Sender: TObject);
begin
myNeuronalesNetz.Free;
FFNerstForm.EbenenListBox.Items.Clear;
end;

procedure TKNNMain.myApplicationEventsException(Sender: TObject;
  E: Exception);
begin
    MessageDlg('Es ist ein allgemeiner Fehler aufgetreten. Das bedeutet, da ich diesen Fehler nicht explizit abfange.'+chr(10)+chr(13)+
    'Kontrollieren Sie bitte ob'+chr(10)+chr(13)+
    '- Ein Netz erstellt ist.'+chr(10)+chr(13)+
    '- Alle Parameter im aktuellen Dialog korrekt eingestellt sind.'+chr(10)+chr(13)+
    '- Eine Berechnungsreihenfolge eingestellt wurde.'+chr(10)+chr(13)+
    '- Bei Bedarf Daten in der Datenquelle liegen.'+chr(10)+chr(13)+chr(10)+chr(13)+
    'Vielleicht hilft auch folgende Angabe weiter:'+chr(10)+chr(13)+chr(10)+chr(13)+
    E.Message+chr(10)+chr(13)+
    Sender.ClassName
    , mtError, [mbOk], 0);
end;

end.
